

use replication_90sincluded,clear
*Figure 6:
xtreg lnlights _IyeaXdep_* _Iyear_* _IregXyear_* _IyeaXlig_* if nolightspct2000>.05,fe vce(cluster ifs)
xtreg lnlightspc _IyeaXdep_* _Iyear_* _IregXyear_* _IyeaXlig_* if nolightspct2>.05,fe vce(cluster ifs)
xtreg lngdppc_pwt _IyeaXdep_* _Iyear_* _IregXyear_* _IyeaXlng_* if nolightspct2>.05,fe vce(cluster ifs)



use replication_overall_results,clear
*Figure 7 panel iii:
xtreg nolightspct _IyeaXdep_* _Iyear_* _IregXyear_* _IyeaXnol_* if nolightspct2>.05,fe vce(cluster ifs)

*Figure 9
xtreg lnlights sizel* _Iyear_* _IregXyear_* _IyeaXlig_* if nolightspct2000>.05 & year!=2013,fe vce(cluster ifs)
xtreg lnlightspc sizel* _Iyear_* _IregXyear_* _IyeaXlig_* if nolightspct2000>.05 & year!=2013,fe vce(cluster ifs)
xtreg lngdppc_pwt sizel* _Iyear_* _IregXyear_* _IyeaXlng_* if nolightspct2000>.05 & year!=2013,fe vce(cluster ifs)

*Figure 10 panel iii:
xtreg nolightspct sizel* _Iyear_* _IregXyear_* _IyeaXnol_* if nolightspct2000>.05 & year!=2013,fe vce(cluster ifs)



use replication_gridtype_priceboom,clear
*Figure 7 (panels i, ii, iv):
xtreg lnlights _IyeaXdep_* _Iyear_* _IregXyear_* _IyeaXlig_* if gridtype==2 & nolightspct2000>.05,fe vce(cluster ifscode)
xtreg lnlights _IyeaXdep_* _Iyear_* _IregXyear_* _IyeaXliga* if gridtype==3 & nolightspct2000>.05,fe vce(cluster ifscode)
xtreg ruralswitchpct _IyeaXdep_* _Iyear_* _IregXyear_* if gridtype==1 & nolightspct2000>.05,fe vce(cluster ifscode)

*Figure 8
xtreg poppct _IyeaXdep_* _Iyear_* _IregXyear_* if gridtype==1 & nolightspct2000>.05,fe vce(cluster ifscode)
xtreg poppct _IyeaXdep_* _Iyear_* _IregXyear_* if gridtype==2 & nolightspct2000>.05,fe vce(cluster ifscode)
xtreg poppct _IyeaXdep_* _Iyear_* _IregXyear_* if gridtype==3 & nolightspct2000>.05,fe vce(cluster ifscode)



use replication_gridtype_quantboom,clear
*Figure 10 (panels i, ii, iv)
xtreg lnlightst2 sizel* _Iyear_* _IregXyear_* _IyeaXlnl_* if nolightspct2000>.05,fe vce(cluster ifscode)
xtreg lnlightst3 sizel* _Iyear_* _IregXyear_* _IyeaXlnla* if nolightspct2000>.05,fe vce(cluster ifscode)
xtreg ruralswitchpct sizel* _Iyear_* _IregXyear_* if nolightspct2000>.05,fe vce(cluster ifscode)

*Figure 11
xtreg poppctt1 sizel* _Iyear_* _IregXyear_* if nolightspct2000>.05,fe vce(cluster ifscode)
xtreg poppctt2 sizel* _Iyear_* _IregXyear_* if nolightspct2000>.05,fe vce(cluster ifscode)
xtreg poppctt3 sizel* _Iyear_* _IregXyear_* if nolightspct2000>.05,fe vce(cluster ifscode)

